﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Il codice è stato generato da uno strumento.
//     Versione runtime:4.0.30319.42000
//
//     Le modifiche apportate a questo file possono provocare un comportamento non corretto e andranno perse se
//     il codice viene rigenerato.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Cardif_Full_Digital.WebServiceCardifnew {
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class SecurityBaseFaultType : AbstractBaseFaultType {
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(SecurityBaseFaultType))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(FunctionalBaseFaultType))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(TechnicalBaseFaultType))]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class AbstractBaseFaultType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string codeField;
        
        private string severityField;
        
        private System.DateTime timestampField;
        
        private string actorField;
        
        private string descriptionField;
        
        private string detailField;
        
        private string langField;
        
        private AbstractBaseFaultType[] reasonsField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
                this.RaisePropertyChanged("code");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string severity {
            get {
                return this.severityField;
            }
            set {
                this.severityField = value;
                this.RaisePropertyChanged("severity");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public System.DateTime timestamp {
            get {
                return this.timestampField;
            }
            set {
                this.timestampField = value;
                this.RaisePropertyChanged("timestamp");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string actor {
            get {
                return this.actorField;
            }
            set {
                this.actorField = value;
                this.RaisePropertyChanged("actor");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string description {
            get {
                return this.descriptionField;
            }
            set {
                this.descriptionField = value;
                this.RaisePropertyChanged("description");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string detail {
            get {
                return this.detailField;
            }
            set {
                this.detailField = value;
                this.RaisePropertyChanged("detail");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string lang {
            get {
                return this.langField;
            }
            set {
                this.langField = value;
                this.RaisePropertyChanged("lang");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        [System.Xml.Serialization.XmlArrayItemAttribute("reason", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public AbstractBaseFaultType[] reasons {
            get {
                return this.reasonsField;
            }
            set {
                this.reasonsField = value;
                this.RaisePropertyChanged("reasons");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class getNumProtocolResult : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int nUMPROTOCOLField;
        
        private string eRRORSField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public int NUMPROTOCOL {
            get {
                return this.nUMPROTOCOLField;
            }
            set {
                this.nUMPROTOCOLField = value;
                this.RaisePropertyChanged("NUMPROTOCOL");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string ERRORS {
            get {
                return this.eRRORSField;
            }
            set {
                this.eRRORSField = value;
                this.RaisePropertyChanged("ERRORS");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class getNumProtocolRequest : object, System.ComponentModel.INotifyPropertyChanged {
        
        private System.DateTime dT_RICEVIMENTOField;
        
        private int tIPO_POSTAField;
        
        private int dESTINATARIOField;
        
        private int nUM_PAGINEField;
        
        private string nUM_RACCOMANDATAField;
        
        private int tIPO_LETTERAField;
        
        private string mITTENTEField;
        
        private System.DateTime dT_INVIOField;
        
        private int cODICE_AREAField;
        
        private string cOMMENTOField;
        
        private int cOD_PARTNERField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public System.DateTime DT_RICEVIMENTO {
            get {
                return this.dT_RICEVIMENTOField;
            }
            set {
                this.dT_RICEVIMENTOField = value;
                this.RaisePropertyChanged("DT_RICEVIMENTO");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public int TIPO_POSTA {
            get {
                return this.tIPO_POSTAField;
            }
            set {
                this.tIPO_POSTAField = value;
                this.RaisePropertyChanged("TIPO_POSTA");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public int DESTINATARIO {
            get {
                return this.dESTINATARIOField;
            }
            set {
                this.dESTINATARIOField = value;
                this.RaisePropertyChanged("DESTINATARIO");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public int NUM_PAGINE {
            get {
                return this.nUM_PAGINEField;
            }
            set {
                this.nUM_PAGINEField = value;
                this.RaisePropertyChanged("NUM_PAGINE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string NUM_RACCOMANDATA {
            get {
                return this.nUM_RACCOMANDATAField;
            }
            set {
                this.nUM_RACCOMANDATAField = value;
                this.RaisePropertyChanged("NUM_RACCOMANDATA");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public int TIPO_LETTERA {
            get {
                return this.tIPO_LETTERAField;
            }
            set {
                this.tIPO_LETTERAField = value;
                this.RaisePropertyChanged("TIPO_LETTERA");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string MITTENTE {
            get {
                return this.mITTENTEField;
            }
            set {
                this.mITTENTEField = value;
                this.RaisePropertyChanged("MITTENTE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public System.DateTime DT_INVIO {
            get {
                return this.dT_INVIOField;
            }
            set {
                this.dT_INVIOField = value;
                this.RaisePropertyChanged("DT_INVIO");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public int CODICE_AREA {
            get {
                return this.cODICE_AREAField;
            }
            set {
                this.cODICE_AREAField = value;
                this.RaisePropertyChanged("CODICE_AREA");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public string COMMENTO {
            get {
                return this.cOMMENTOField;
            }
            set {
                this.cOMMENTOField = value;
                this.RaisePropertyChanged("COMMENTO");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public int COD_PARTNER {
            get {
                return this.cOD_PARTNERField;
            }
            set {
                this.cOD_PARTNERField = value;
                this.RaisePropertyChanged("COD_PARTNER");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class FunctionalBaseFaultType : AbstractBaseFaultType {
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class TechnicalBaseFaultType : AbstractBaseFaultType {
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1", ConfigurationName="WebServiceCardifnew.PPWS2ProxyService")]
    public interface PPWS2ProxyService {
        
        // CODEGEN: Generazione di un contratto di messaggio perché il messaggio getNumProtocolRequest ha intestazioni
        [System.ServiceModel.OperationContractAttribute(Action="getNumProtocol", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Cardif_Full_Digital.WebServiceCardifnew.SecurityBaseFaultType), Action="getNumProtocol", Name="pearlSecurityExcption")]
        [System.ServiceModel.FaultContractAttribute(typeof(Cardif_Full_Digital.WebServiceCardifnew.TechnicalBaseFaultType), Action="getNumProtocol", Name="pearlTechnicalExcption")]
        [System.ServiceModel.FaultContractAttribute(typeof(Cardif_Full_Digital.WebServiceCardifnew.FunctionalBaseFaultType), Action="getNumProtocol", Name="pearlFunctionalExcption")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [System.ServiceModel.ServiceKnownTypeAttribute(typeof(AbstractBaseFaultType))]
        Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResponse getNumProtocol(Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest1 request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class HeaderInput : object, System.ComponentModel.INotifyPropertyChanged {
        
        private SecurityInfoType securityField;
        
        private HeaderInputType headerField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public SecurityInfoType Security {
            get {
                return this.securityField;
            }
            set {
                this.securityField = value;
                this.RaisePropertyChanged("Security");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public HeaderInputType Header {
            get {
                return this.headerField;
            }
            set {
                this.headerField = value;
                this.RaisePropertyChanged("Header");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class SecurityInfoType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private SecurityInfoTypeCIAT cIATField;
        
        private string applicationIdField;
        
        private object itemField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public SecurityInfoTypeCIAT CIAT {
            get {
                return this.cIATField;
            }
            set {
                this.cIATField = value;
                this.RaisePropertyChanged("CIAT");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string ApplicationId {
            get {
                return this.applicationIdField;
            }
            set {
                this.applicationIdField = value;
                this.RaisePropertyChanged("ApplicationId");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("TokenInfo", typeof(SecurityInfoTypeTokenInfo), Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        [System.Xml.Serialization.XmlElementAttribute("UserInfo", typeof(SecurityInfoTypeUserInfo), Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public object Item {
            get {
                return this.itemField;
            }
            set {
                this.itemField = value;
                this.RaisePropertyChanged("Item");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class SecurityInfoTypeCIAT : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string cField;
        
        private string iField;
        
        private string aField;
        
        private string tField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="integer", Order=0)]
        public string C {
            get {
                return this.cField;
            }
            set {
                this.cField = value;
                this.RaisePropertyChanged("C");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="integer", Order=1)]
        public string I {
            get {
                return this.iField;
            }
            set {
                this.iField = value;
                this.RaisePropertyChanged("I");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="integer", Order=2)]
        public string A {
            get {
                return this.aField;
            }
            set {
                this.aField = value;
                this.RaisePropertyChanged("A");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="integer", Order=3)]
        public string T {
            get {
                return this.tField;
            }
            set {
                this.tField = value;
                this.RaisePropertyChanged("T");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class SecurityInfoTypeTokenInfo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string tokenField;
        
        private string userLoginField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string Token {
            get {
                return this.tokenField;
            }
            set {
                this.tokenField = value;
                this.RaisePropertyChanged("Token");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string UserLogin {
            get {
                return this.userLoginField;
            }
            set {
                this.userLoginField = value;
                this.RaisePropertyChanged("UserLogin");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class SecurityInfoTypeUserInfo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string loginField;
        
        private string passwordField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string Login {
            get {
                return this.loginField;
            }
            set {
                this.loginField = value;
                this.RaisePropertyChanged("Login");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string Password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("Password");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class HeaderInputType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string contextPathField;
        
        private string externalRequestIdField;
        
        private string correlationIdField;
        
        private long retentionDurationField;
        
        private bool retentionDurationFieldSpecified;
        
        private ExtraInformationTypeInfoDetail[] extraInformationField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string ContextPath {
            get {
                return this.contextPathField;
            }
            set {
                this.contextPathField = value;
                this.RaisePropertyChanged("ContextPath");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string ExternalRequestId {
            get {
                return this.externalRequestIdField;
            }
            set {
                this.externalRequestIdField = value;
                this.RaisePropertyChanged("ExternalRequestId");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string CorrelationId {
            get {
                return this.correlationIdField;
            }
            set {
                this.correlationIdField = value;
                this.RaisePropertyChanged("CorrelationId");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public long RetentionDuration {
            get {
                return this.retentionDurationField;
            }
            set {
                this.retentionDurationField = value;
                this.RaisePropertyChanged("RetentionDuration");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool RetentionDurationSpecified {
            get {
                return this.retentionDurationFieldSpecified;
            }
            set {
                this.retentionDurationFieldSpecified = value;
                this.RaisePropertyChanged("RetentionDurationSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        [System.Xml.Serialization.XmlArrayItemAttribute("InfoDetail", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public ExtraInformationTypeInfoDetail[] ExtraInformation {
            get {
                return this.extraInformationField;
            }
            set {
                this.extraInformationField = value;
                this.RaisePropertyChanged("ExtraInformation");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.3221.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1")]
    public partial class ExtraInformationTypeInfoDetail : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string keyField;
        
        private string valueField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string Key {
            get {
                return this.keyField;
            }
            set {
                this.keyField = value;
                this.RaisePropertyChanged("Key");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
                this.RaisePropertyChanged("Value");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getNumProtocol", WrapperNamespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1", IsWrapped=true)]
    public partial class getNumProtocolRequest1 {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
            "1")]
        public Cardif_Full_Digital.WebServiceCardifnew.HeaderInput HeaderInput;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
            "1", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest getNumProtocolRequest;
        
        public getNumProtocolRequest1() {
        }
        
        public getNumProtocolRequest1(Cardif_Full_Digital.WebServiceCardifnew.HeaderInput HeaderInput, Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest getNumProtocolRequest) {
            this.HeaderInput = HeaderInput;
            this.getNumProtocolRequest = getNumProtocolRequest;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getNumProtocolResponse", WrapperNamespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
        "1", IsWrapped=true)]
    public partial class getNumProtocolResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ea.assurance.bnpparibas.com/external/service/it/PPWS2ProxyServiceService/v" +
            "1", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResult getNumProtocolResult;
        
        public getNumProtocolResponse() {
        }
        
        public getNumProtocolResponse(Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResult getNumProtocolResult) {
            this.getNumProtocolResult = getNumProtocolResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface PPWS2ProxyServiceChannel : Cardif_Full_Digital.WebServiceCardifnew.PPWS2ProxyService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class PPWS2ProxyServiceClient : System.ServiceModel.ClientBase<Cardif_Full_Digital.WebServiceCardifnew.PPWS2ProxyService>, Cardif_Full_Digital.WebServiceCardifnew.PPWS2ProxyService {
        
        public PPWS2ProxyServiceClient() {
        }
        
        public PPWS2ProxyServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public PPWS2ProxyServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public PPWS2ProxyServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress, string v) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public PPWS2ProxyServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResponse Cardif_Full_Digital.WebServiceCardifnew.PPWS2ProxyService.getNumProtocol(Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest1 request) {
            return base.Channel.getNumProtocol(request);
        }
        
        public Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResult getNumProtocol(Cardif_Full_Digital.WebServiceCardifnew.HeaderInput HeaderInput, Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest getNumProtocolRequest) {
            Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest1 inValue = new Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolRequest1();
            inValue.HeaderInput = HeaderInput;
            inValue.getNumProtocolRequest = getNumProtocolRequest;
            Cardif_Full_Digital.WebServiceCardifnew.getNumProtocolResponse retVal = ((Cardif_Full_Digital.WebServiceCardifnew.PPWS2ProxyService)(this)).getNumProtocol(inValue);
            return retVal.getNumProtocolResult;
        }
    }
}
